std::system_error(3cxx)

NAME
std::system_error - Thrown to indicate error code of underlying system.

SYNOPSIS

Inherits std::runtime_error.

Inherited by std::experimental::filesystem::v1::filesystem_error.

  Public Member Functions

system_error (error_code __ec, const char *__what)
system_error (error_code __ec, const string &__what)
system_error (error_code __ec=error_code())
system_error (int __v, const error_category &__ecat)
system_error (int __v, const error_category &__ecat, const char *__what)
system_error (int __v, const error_category &__ecat, const string &__what)
const error_code & code () const noexcept
virtual const char * what () const _GLIBCXX_TXN_SAFE_DYN noexcept

Detailed Description

Thrown to indicate error code of underlying system.

Definition at line 341 of file system_error.

Author

Generated automatically by Doxygen for libstdc++ from the source code.